FBGETTY(8)

NAME
fbgetty - Frame Buffer GETTY

SYNOPSIS
fbgetty [options] [variables] [tty device] [framebuffer device]

DESCRIPTION
fbgetty is a getty for use on virtual consoles with framebuffer support like mingetty(8), fbgetty is not suitable for serial lines.

OPTIONS

-t, --tty
    set tty device

-f, --fb --framebuffer
    set framebuffer device

-i, --issue
    set issue file

-l, --login-program
    set login program

-p --login-prompt
    set login prompt

-o, --login-timeout
    set login timeout

--version
    show version

--help
    show help

ISSUE ESCAPES
fbgetty recognizes the following escape sequences which might be embedded in the /etc/issue file:

@system
    display OS name (will certainly be Linux)

@version
    display OS version

@release
    display OS release

@architecture

@arch
    display host architecture

@tty

@line

@vt display tty where fbgetty run

@hostname
    display hostname

@domain
    display domain

@FQDN
    display Full Qualified Domain Name (e.g. hostname + domainname)

@user
    display number of users connected

@users
    display number of users with format %d user(s)

@loadavg
    display load average

@date
    display date

@time
    display time (24H)

@uptime
    display uptime

@include
    include some other issue file

@image
    display an image

@distname
    Show distribution name (Redhat Debian Suse ...)

@distver
    Display distribution version

$...
    display shell variable

\a  echo alert (bell)

\b  echo backspace

\e

\E  echo escape char

\f  echo formfeed

\n  echo new line

\r  echo carriage return

\t  echo horizontal tab

\v  echo vertical tab

\ooo
    echo character with octal code ooo

\xhh
    echo character with hexadecimal code hh

%d  insert current day (localtime),

%l  insert line on which fbgetty is running,

%m  inserts machine architecture (uname -m),

%n  inserts machine's network node hostname (uname -n),

%o  inserts domain name,

%r  inserts operating system release (uname -r),

%t  insert current time (localtime),

%s  inserts operating system name,

%u  insert the number of users currently logged in,

%U  insert "n user" or "n users" according to the value of n, where n is the number of user currently logged in,

%v  inserts operating system version (uname -v).

FILES
/etc/issue, /var/run/utmp, /etc/fbgetty, /etc/fbgetty.d/global, /etc/fbgetty.d/tty[1-63].

SEE ALSO
mingetty(8), mgetty(8), agetty(8), getty(8), fbgetty.info

AUTHOR
Copyright © 1999,2000,2001 Yann Droneaud <ydroneaud@meuh.eu.org>.